[Openais] [PATCH openais 1/9] add the beginnings of gnulib support

Steven Dake sdake at redhat.com
Wed Jun 24 10:09:09 PDT 2009


On Wed, 2009-06-24 at 10:32 +0200, Fabien Thomas wrote:
> Will the program stay BSD licence with this ?
> This is a strong point of the project from my point of view. :)
> 
> Kind regards,
> Fabien
> 
Fabien,
The code is staying licensed as is.

We are pending legal review to find out if we can include this feature
because of its possible license contamination.  If it contaminates the
license, we won't adopt this feature.

Regards
-steve

> > I want to hold gnulib support until legal review and 1.0 is released.
> >
> > Regards
> > -steve
> >
> > On Sun, 2009-06-21 at 20:42 +0200, Jim Meyering wrote:
> >> From: Jim Meyering <meyering at redhat.com>
> >>
> >> * bootstrap: New file.
> >> * cfg.mk: New file: disable some failing syntax-checks, for now.
> >> * .prev-version: New file.
> >> * configure.ac: Use build-aux/.
> >> Invoke gl_EARLY and gl_INIT.
> >> (AC_CONFIG_FILES): Add gnulib/lib/Makefile and gnulib/tests/Makefile.
> >> * Makefile.am (SUBDIRS): Add gnulib/lib and gnulib/tests.
> >> ---
> >> .prev-version |    1 +
> >> Makefile.am   |    4 ++-
> >> bootstrap     |   82 +++++++++++++++++++++++++++++++++++++++++++++++ 
> >> ++++++++++
> >> cfg.mk        |   51 +++++++++++++++++++++++++++++++++++
> >> configure.ac  |    6 ++++
> >> 5 files changed, 143 insertions(+), 1 deletions(-)
> >> create mode 100644 .prev-version
> >> create mode 100755 bootstrap
> >> create mode 100644 cfg.mk
> >>
> >> diff --git a/.prev-version b/.prev-version
> >> new file mode 100644
> >> index 0000000..08fec88
> >> --- /dev/null
> >> +++ b/.prev-version
> >> @@ -0,0 +1 @@
> >> +0.83
> >> diff --git a/Makefile.am b/Makefile.am
> >> index 90fa70c..3e236af 100644
> >> --- a/Makefile.am
> >> +++ b/Makefile.am
> >> @@ -44,7 +44,9 @@ corosysconfdir		= ${COROSYSCONFDIR}
> >>
> >> corosysconf_DATA	= conf/amf.conf.example
> >>
> >> -SUBDIRS	= include lib services test pkgconfig man
> >> +ACLOCAL_AMFLAGS = -I gnulib/m4
> >> +
> >> +SUBDIRS	= gnulib/lib gnulib/tests include lib services test  
> >> pkgconfig man
> >> # init
> >>
> >> lint:
> >> diff --git a/bootstrap b/bootstrap
> >> new file mode 100755
> >> index 0000000..3edcb50
> >> --- /dev/null
> >> +++ b/bootstrap
> >> @@ -0,0 +1,82 @@
> >> +#!/bin/sh
> >> +# Run this after autogen.sh, to pull in all of the gnulib-related  
> >> bits.
> >> +# It's important to run *after* autogen.sh, since it updates some of
> >> +# the same files autogen.sh does, yet those from gnulib are newer,
> >> +# and match the tests.  So if a gnulib bug has been fixed since the
> >> +# snapshot taken for whatever gettext release you're using, yet you
> >> +# run "make check" against the wrong version, the corresponding unit
> >> +# test in gl-tests/ may well fail.
> >> +
> >> +usage() {
> >> +  echo >&2 "\
> >> +Usage: $0 [OPTION]...
> >> +Bootstrap this package from the checked-out sources.
> >> +
> >> +Options:
> >> + --gnulib-srcdir=DIRNAME  Specify the local directory where gnulib
> >> +                          sources reside.  Use this if you already
> >> +                          have gnulib sources on your machine, and
> >> +                          do not want to waste your bandwidth  
> >> downloading
> >> +                          them again.
> >> +
> >> +If the file bootstrap.conf exists in the current working  
> >> directory, its
> >> +contents are read as shell variables to configure the bootstrap.
> >> +
> >> +Running without arguments will suffice in most cases.
> >> +"
> >> +}
> >> +
> >> +for option
> >> +do
> >> +  case $option in
> >> +  --help)
> >> +    usage
> >> +    exit;;
> >> +  --gnulib-srcdir=*)
> >> +    GNULIB_SRCDIR=`expr "$option" : '--gnulib-srcdir=\(.*\)'`;;
> >> +  *)
> >> +    echo >&2 "$0: $option: unknown option"
> >> +    exit 1;;
> >> +  esac
> >> +done
> >> +
> >> +cleanup_gnulib() {
> >> +  st=$?
> >> +  rm -fr .gnulib
> >> +  exit $st
> >> +}
> >> +
> >> +case ${GNULIB_SRCDIR--} in
> >> +-)
> >> +  if [ ! -d .gnulib ]; then
> >> +    echo "$0: getting gnulib files..."
> >> +
> >> +    trap cleanup_gnulib 1 2 13 15
> >> +
> >> +    git clone --depth 1 git://git.sv.gnu.org/gnulib .gnulib ||
> >> +      cleanup_gnulib
> >> +
> >> +    trap - 1 2 13 15
> >> +  fi
> >> +  GNULIB_SRCDIR=.gnulib
> >> +esac
> >> +
> >> +gnulib_tool=$GNULIB_SRCDIR/gnulib-tool
> >> +<$gnulib_tool || exit
> >> +
> >> +modules='
> >> +useless-if-before-free
> >> +maintainer-makefile
> >> +manywarnings
> >> +verify
> >> +warnings
> >> +'
> >> +
> >> +$gnulib_tool			\
> >> +  --no-vc-files			\
> >> +  --with-tests			\
> >> +  --aux-dir=build-aux		\
> >> +  --m4-base=gnulib/m4		\
> >> +  --source-base=gnulib/lib	\
> >> +  --tests-base=gnulib/tests	\
> >> +  --import $modules
> >> diff --git a/cfg.mk b/cfg.mk
> >> new file mode 100644
> >> index 0000000..b6fbe47
> >> --- /dev/null
> >> +++ b/cfg.mk
> >> @@ -0,0 +1,51 @@
> >> +# Customize maint.mk                           -*- makefile -*-
> >> +# Copyright (C) 2003-2009 Free Software Foundation, Inc.
> >> +
> >> +# This program is free software: you can redistribute it and/or  
> >> modify
> >> +# it under the terms of the GNU General Public License as  
> >> published by
> >> +# the Free Software Foundation, either version 3 of the License, or
> >> +# (at your option) any later version.
> >> +
> >> +# This program is distributed in the hope that it will be useful,
> >> +# but WITHOUT ANY WARRANTY; without even the implied warranty of
> >> +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> >> +# GNU General Public License for more details.
> >> +
> >> +# You should have received a copy of the GNU General Public License
> >> +# along with this program.  If not, see <http://www.gnu.org/licenses/ 
> >> >.
> >> +
> >> +# Use alpha.gnu.org for alpha and beta releases.
> >> +# Use ftp.gnu.org for major releases.
> >> +gnu_ftp_host-alpha = alpha.gnu.org
> >> +gnu_ftp_host-beta = alpha.gnu.org
> >> +gnu_ftp_host-major = ftp.gnu.org
> >> +gnu_rel_host = $(gnu_ftp_host-$(RELEASE_TYPE))
> >> +
> >> +# Used in maint.mk's web-manual rule
> >> +manual_title = openais
> >> +
> >> +url_dir_list = \
> >> +  ftp://$(gnu_rel_host)/not-applicable
> >> +
> >> +# The GnuPG ID of the key used to sign the tarballs.
> >> +gpg_key_ID = B9AB9A16
> >> +
> >> +# Tests not to run as part of "make distcheck".
> >> +local-checks-to-skip =		\
> >> +  sc_GPL_version		\
> >> +  sc_prohibit_atoi_atof		\
> >> +  sc_prohibit_strcmp		\
> >> +  sc_error_message_uppercase	\
> >> +  sc_error_message_period	\
> >> +  sc_file_system		\
> >> +  sc_useless_cpp_parens		\
> >> +  sc_program_name		\
> >> +  sc_space_tab
> >> +
> >> +# Tools used to bootstrap this package, used for "announcement".
> >> +bootstrap-tools = autoconf,automake,gnulib
> >> +
> >> +# Now that we have better tests, make this the default.
> >> +export VERBOSE = yes
> >> +
> >> +old_NEWS_hash = 8ed224902e335a80ec8340cd0d594d7f
> >> diff --git a/configure.ac b/configure.ac
> >> index 384b72c..e694679 100644
> >> --- a/configure.ac
> >> +++ b/configure.ac
> >> @@ -5,6 +5,7 @@
> >> AC_PREREQ([2.61])
> >>
> >> AC_INIT([openais], [trunk], [openais at lists.osdl.org])
> >> +AC_CONFIG_AUX_DIR([build-aux])
> >> AM_INIT_AUTOMAKE([-Wno-portability])
> >>
> >> AC_CONFIG_SRCDIR([lib/clm.c])
> >> @@ -14,6 +15,9 @@ AC_CANONICAL_HOST
> >>
> >> AC_LANG([C])
> >>
> >> +gl_EARLY
> >> +gl_INIT
> >> +
> >> dnl Fix default variables - "prefix" variable if not specified
> >> if test "$prefix" = "NONE"; then
> >> 	prefix="/usr"
> >> @@ -111,6 +115,8 @@ AC_CONFIG_FILES([Makefile
> >>                  man/Makefile
> >>                  pkgconfig/Makefile
> >>                  services/Makefile
> >> +                 gnulib/lib/Makefile
> >> +                 gnulib/tests/Makefile
> >>                  test/Makefile])
> >>
> >> ### Local business
> >
> > _______________________________________________
> > Openais mailing list
> > Openais at lists.linux-foundation.org
> > https://lists.linux-foundation.org/mailman/listinfo/openais
> >
> 



More information about the Openais mailing list